version: "3.5"
services:
  {{ victoriametrics_docker_instance }}:
    container_name: {{ victoriametrics_docker_instance }}
    image: victoriametrics/victoria-metrics:{{ victoriametrics_version }}
    volumes:
      - {{ victoriametrics_data_path }}:/storage
    ports:
      - {{ victoriametrics_http.port_in | default('8428') }}:{{ victoriametrics_http.port_out | default('8428') }}
      {% if victoriametrics_influx.port_in is defined and victoriametrics_influx.port_out is defined -%}
      - {{ victoriametrics_influx.port_in }}:{{ victoriametrics_influx.port_out }}
      {% endif -%}
      {% if victoriametrics_graphite.port_in is defined and victoriametrics_graphite.port_out is defined -%}
      - {{ victoriametrics_graphite.port_in }}:{{ victoriametrics_graphite.port_out }}
      {% endif -%}
      {% if victoriametrics_opentsdb.port_in is defined and victoriametrics_opentsdb.port_out is defined -%}
      - {{ victoriametrics_opentsdb.port_in }}:{{ victoriametrics_opentsdb.port_out }}
      {% endif %}
    command:
      - "--storageDataPath=/storage"
      - "--httpListenAddr={{ victoriametrics_http.addr | default('') }}:{{ victoriametrics_http.port_out | default('8428') }}"
      {% if victoriametrics_influx is defined -%}
      - "--influxListenAddr={{ victoriametrics_influx.addr }}:{{ victoriametrics_influx.port_out }}"
      {% endif -%}
      {% if victoriametrics_graphite is defined -%}
      - "--graphiteListenAddr={{ victoriametrics_graphite.addr }}:{{ victoriametrics_graphite.port_out }}"
      {% endif -%}
      {% if victoriametrics_opentsdb is defined -%}
      - "--opentsdbListenAddr={{ victoriametrics_opentsdb.addr }}:{{ victoriametrics_opentsdb.port_out }}"
      {% endif %}
    networks:
      - {{ victoriametrics_docker_network | default('vm_net') }}
    restart: {{ victoriametrics_docker_restart }}
networks:
  {{ victoriametrics_docker_network | default('vm_net') }}:
